%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate deflate

Name:           rust-deflate0.8
Version:        0.8.6
Release:    1%{?dist}
Summary:        DEFLATE, zlib and gzip encoder written in rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/deflate
Source0:         %{crates_source}
Patch:          deflate-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
DEFLATE, zlib and gzip encoder written in rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/changelog.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+benchmarks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+benchmarks-devel %{_description}

This package contains library source intended for building other packages which
use the "benchmarks" feature of the "%{crate}" crate.

%files       -n %{name}+benchmarks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gzip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gzip-devel %{_description}

This package contains library source intended for building other packages which
use the "gzip" feature of the "%{crate}" crate.

%files       -n %{name}+gzip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gzip-header-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gzip-header-devel %{_description}

This package contains library source intended for building other packages which
use the "gzip-header" feature of the "%{crate}" crate.

%files       -n %{name}+gzip-header-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.6-1
- initial build
